package request


type AlibabaWdkPlatformCategoryQueryRequest struct {
    /*
        查询关键词，不填查全部     */
    Keyword  *string `json:"keyword,omitempty" required:"false" `
    /*
        搜索根级类目编码     */
    RootCategoryNo  *string `json:"root_category_no,omitempty" required:"false" `
}

func (s *AlibabaWdkPlatformCategoryQueryRequest) SetKeyword(v string) *AlibabaWdkPlatformCategoryQueryRequest {
    s.Keyword = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryRequest) SetRootCategoryNo(v string) *AlibabaWdkPlatformCategoryQueryRequest {
    s.RootCategoryNo = &v
    return s
}

func (req *AlibabaWdkPlatformCategoryQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Keyword != nil) {
        paramMap["keyword"] = *req.Keyword
    }
    if(req.RootCategoryNo != nil) {
        paramMap["root_category_no"] = *req.RootCategoryNo
    }
    return paramMap
}

func (req *AlibabaWdkPlatformCategoryQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}